<?php

namespace App\Http\Livewire;

use Livewire\Component;
use App\Models\Equipo;
use App\Models\ControlDiario;
use Carbon\Carbon;

class Dashboard extends Component
{
    public $equiposActivosHoy;
    public $numeroSalidas;
    public $totalEquipos;
    public $equiposQueSalieronHoy;

    public function mount()
    {
        $this->equiposActivosHoy = Equipo::where('estado', 'activo')->count();

        $this->numeroSalidas = ControlDiario::whereDate('fecha', Carbon::today())
                                ->whereNotNull('salio')
                                ->count();

        $this->totalEquipos = Equipo::count();

    }

    public function render()
    {
        return view('livewire.dashboard');
    }
}
